Prerequisites

Declares the minimum operating system and software requirements that must exist for the package to be applicable to the system.

Element hierarchy

<Package>
<Prerequisites>

Syntax

<Prerequisites>

  <!-- Child elements -->
  ( OSMinVersion
  & OSMaxVersionTested
  )

</Prerequisites>

Key

&   interleave connector (may occur in any order)

Attributes and Elements

Attributes

None.

Child Elements

Child ElementDescription
OSMaxVersionTested

This should be filled in by the developer with the highest version of Windows that the package was tested on. This field is required. Windows will not block installation of the package on versions of the OS higher than the value provided in this field. When an app is executed, Windows will compare this field to the actual OS version. If the value provided in this field is less than the current OS version, Windows may provide behavior compatible with the highest tested OS version for some or all APIs. If the value provided in this field is greater than or equal to the current OS version, Windows will not apply any compatibility changes to APIs.

OSMinVersion

The minimum version of the operating system that the package requires.

 

Parent Elements

Parent ElementDescription
Package

Defines the root element of an app package manifest. The manifest describes the structure and capabilities of the software to the system.

 

Examples

The following example is taken from the package manifest of one of the SDK samples.


<Prerequisites>
  <OSMinVersion>6.2</OSMinVersion>
  <OSMaxVersionTested>6.2</OSMaxVersionTested>
</Prerequisites>

Requirements

Namespace

http://schemas.microsoft.com/appx/2010/manifest

 

 

Show:
© 2014 Microsoft